#include "mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{
    QIcon::setThemeName("bug_demo");
    setWindowIcon(QIcon::fromTheme("virtual-engineering"));
    QString title = QString("%1 Bug Demo").arg(QT_VERSION_STR);
    setWindowTitle(title);
    label = new QLabel(this);
    QIcon icon;
    if (QIcon::hasThemeIcon("T600"))
        icon = QIcon::fromTheme("T600");
    else
        icon = QIcon::fromTheme("face-sad");
    label->setPixmap(icon.pixmap(256));
    setCentralWidget(label);
    menu = new TrayWdgMenu(this);
    trayIcon = new QSystemTrayIcon(this);
    trayIcon->setIcon(QIcon::fromTheme("system-run"));
    trayIcon->setContextMenu(menu);
    trayIcon->show();
    connect(menu->closeAction, SIGNAL(triggered(bool)),
            this, SLOT(close()));
}

void MainWindow::closeEvent(QCloseEvent *ev)
{
    trayIcon->hide();
    ev->accept();
}
